<?php

namespace App\Services;

use App\Helpers\UserSNSHelper;
use App\Models\UserSNSModel;
// use Google\Service\AndroidEnterprise\Resource\Users;

class UserSNSService extends CommonService
{
    public function __construct()
    {
        parent::__construct(new UserSNSModel(), new UserSNSHelper());
        $this->addClassName('UserSNS');
    }
    public function getFormFields(): array
    {
        return [
            "site",
            "user_uid",
            "id",
            "name",
            "email",
            "detail",
            "status",
        ];
    }
    public function getFormFilters(): array
    {
        return [
            "site",
            "user_uid",
            "status",
        ];
    }
    public function getBatchjobFields(): array
    {
        return ['status'];
    }
    //기본 기능부분
}
